summaryrefslogtreecommitdiff
path: root/package/atftp
diff options
context:
space:
mode:
Diffstat (limited to 'package/atftp')
-rw-r--r--package/atftp/files/atftp.postinst6
-rwxr-xr-xpackage/atftp/ipkg/files/postinst8
2 files changed, 6 insertions, 8 deletions
diff --git a/package/atftp/files/atftp.postinst b/package/atftp/files/atftp.postinst
new file mode 100644
index 000000000..dddd0b0d1
--- /dev/null
+++ b/package/atftp/files/atftp.postinst
@@ -0,0 +1,6 @@
+#!/bin/sh
+grep -q '^tftp[[:space:]]*69/tcp' ${IPKG_INSTROOT}/etc/services 2>/dev/null
+if [ $? -ne 0 ]; then
+ echo "tftp 69/tcp" >>${IPKG_INSTROOT}/etc/services
+ echo "tftp 69/udp" >>${IPKG_INSTROOT}/etc/services
+fi
diff --git a/package/atftp/ipkg/files/postinst b/package/atftp/ipkg/files/postinst
deleted file mode 100755
index 35a2c3b36..000000000
--- a/package/atftp/ipkg/files/postinst
+++ /dev/null
@@ -1,8 +0,0 @@
-#!/usr/bin/env mksh
-grep -q '^tftp[[:space:]]*69/tcp' ${IPKG_INSTROOT}/etc/services 2>/dev/null
-if [ $? -ne 0 ]; then
- echo "tftp 69/tcp" >>${IPKG_INSTROOT}/etc/services
- echo "tftp 69/udp" >>${IPKG_INSTROOT}/etc/services
- echo "tftp-mcast 1758/tcp" >>${IPKG_INSTROOT}/etc/services
- echo "tftp-mcast 1758/udp" >>${IPKG_INSTROOT}/etc/services
-fi